#!bash.exe
#set -x
# modified version from http://forum.netkas.org/index.php/topic,692.0.html
# STLVNUB 20/07/2014
workDIR="$(dirname $0)"
cd "$workDIR"

if [ ! -f HD6450GOP.efi ]; then # this is the MAGIC UEFI file
	echo "No HD6450GOP.efi :(" && exit 1
else	
	EFIFILE=HD6450GOP.efi #"efi.gop.rom"
fi
if [ ! -f Rom/*.rom ]; then # do as it says
	echo "Name your VBios as DevID-VenID.rom
e.g 1002.638f.rom
place it in Rom folder
and rerun" && exit 1
else	
	ORIGROM=`basename.exe $(ls.exe Rom/*.rom)`
fi
VENID=`getvendev.exe $ORIGROM vendor`
DEVID=`getvendev.exe $ORIGROM device`
size=`java.exe getSize Rom/"${ORIGROM}"` # javascript to size the rom
echo "orig size - $size"
echo "$VENID $DEVID"
EFIROM="uefi.rom" # name for UEFI rom
if [ -f "$EFIROM" ]; then
rm.exe -rf "$EFIROM"
fi

./Efirom.exe -o "$EFIROM" -b Rom/"${ORIGROM}" -ec "$EFIFILE" -l 0x30000 -f 0x$VENID -i 0x$DEVID
fixrom.exe "$EFIROM" "$EFIROM" # fix some things
echo "Your 'new' UEFI rom is ready at $EFIROM" # finished rom.
./Efirom.exe -d $EFIROM >info.txt
notepad info.txt
